Bug 55383 - Docbook conversion (save as) does not handle merged table cells
Summary: Docbook conversion (save as) does not handle merged table cells
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Docbook
  Show dependency treegraph
 
Reported: 2012-09-27 11:11 UTC by mathieu.malaterre
Modified: 2018-09-16 09:39 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
input odt file (10.56 KB, application/vnd.oasis.opendocument.text)
2012-09-27 11:11 UTC, mathieu.malaterre
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mathieu.malaterre 2012-09-27 11:11:54 UTC
Created attachment 67764 [details]
input odt file

In the attached odt document, when exporting to docbook, the merged cells are lost. When exporting to HTML it is nice:

<TABLE WIDTH=100% CELLPADDING=4 CELLSPACING=0>
	<COL WIDTH=128*>
	<COL WIDTH=128*>
	<TR VALIGN=TOP>
		<TD ROWSPAN=2 ...

However docbook is:

  <informaltable frame="all">
    <tgroup cols="1.666666666666667">
      <tbody>
        <row>
          <entry>
            <para>1 &amp; 3</para>
          </entry>

while the correct output should be:

  <informaltable frame="all">
    <tgroup cols="1.666666666666667">
      <tbody>
        <row>
          <entry morerows="1">
            <para>1 &amp; 3</para>
          </entry>
Comment 1 Owen Genat (retired) 2013-12-14 12:37:57 UTC
Confirmed under Ubuntu 10.04 x86_64 using v3.3.0.4 OOO330m19 Build: 6 and v4.1.3.2 Build ID: 70feb7d99726f064edab4605a8ab840c50ec57a so it would appear to have always been this way. Status set to NEW. Component set to filters and storage. Version set to Inherited From OOo. Summary edited for clarity.

This is also Apache issue 110762 (added to See Also list).
Comment 2 QA Administrators 2015-04-19 03:21:57 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2015-06-17 11:19:00 UTC
Reproduced.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 80ec99db4325a439a8a3f1d420d0a80f8bf9c439
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-16_00:00:20
Locale: fi-FI (fi_FI)
Comment 4 QA Administrators 2016-09-20 10:25:46 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920